From 9a7a569cde6c5a07ae6d6d9581b590abf1b3371a Mon Sep 17 00:00:00 2001
From: "Kirill A. Korinsky" <kirill@korins.ky>
Date: Wed, 10 Aug 2022 02:24:37 +0200
Subject: [PATCH] [tapilite] fix build by clang

---
 tapilite/CMakeLists.txt | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git tapilite/CMakeLists.txt tapilite/CMakeLists.txt
index c83334c..e24b0fc 100644
--- tapilite/CMakeLists.txt
+++ tapilite/CMakeLists.txt
@@ -23,4 +23,17 @@ if (TAPI_APPLE_VERSION)
   add_definitions( -DAPPLE_VERSION="${TAPI_APPLE_VERSION}")
 endif ()
 
+set(TAPI_CXX_FLAGS)
+if(XTOOLS_C_HAS_FNOCOMMON_FLAG)
+     set(TAPI_CXX_FLAGS "-fno-common")
+endif()
+if(XTOOLS_CXX_HAS_STDCXX11_FLAG)
+     set(TAPI_CXX_FLAGS "${TAPI_CXX_FLAGS} -std=c++11")
+endif()
+if(XTOOLS_CXX_HAS_STDLIB_FLAG)
+     set(TAPI_CXX_FLAGS "${TAPI_CXX_FLAGS} -stdlib=libc++")
+endif()
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TAPI_CXX_FLAGS} ")
+
 add_subdirectory(src)
-- 
2.38.1

